Bug 963323 - virtual machines created by virt-manager are missing from Gnome Boxes
virtual machines created by virt-manager are missing from Gnome Boxes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
20
All Linux
low Severity medium
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 12:10 EDT by Jeff Bastian
Modified: 2015-06-29 07:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:57:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 666185 None None None Never

  None (edit)
Description Jeff Bastian 2013-05-15 12:10:17 EDT
Description of problem:
I have 4 virtual machines on my system that I created with virt-manager.  I tried using Gnome Boxes instead of virt-manager, but none of them are visible; it only lets me create a new virtual machine.

Please provide a way to import virtual machines created by virt-manager.

Version-Release number of selected component (if applicable):
gnome-boxes-3.6.3-1.fc18.x86_64
virt-manager-0.9.5-1.fc18.noarch
libvirt-0.10.2.4-1.fc18.x86_64

How reproducible:
every time

Steps to Reproduce:
1. create a virtual machine using virt-manager
2. launch Gnome Boxes
  
Actual results:
the new VM is missing and there's no way to import it (that I can see)

Expected results:
the VM is available in Gnome Boxes

Additional info:

From a mailing list thread:
On Wed, May 15, 2013 at 04:16:05PM +0100, Daniel P. Berrange wrote:
> The reason you probably don't see any VMs is that virt-manager has
> (bogusly) used the system instance of libvirtd (intended for server
> virt where VMs run privileged), where as Boxes uses the session
> instance of libvirtd (where VMs run directly under your own user
> account).
Comment 1 Jeff Bastian 2013-05-15 13:12:41 EDT
If I enter qemu:///system at the "Enter URL" option when creating a new box, I can get access to the VMs created by virt-manager.

This should be made more discoverable.
Comment 2 Zeeshan Ali 2013-05-15 17:41:15 EDT
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=666185
Comment 3 Fedora End Of Life 2013-12-21 08:33:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:23:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 David Juran 2014-02-06 12:56:28 EST
Still the same issue with gnome-boxes-3.10.2-2.fc20, which version was the solution for the upstream bug ( https://bugzilla.gnome.org/show_bug.cgi?id=666185) pushed to?

Or is it only for a first-time user the importer would start? How would I trigger the import manually?
Comment 6 Fedora End Of Life 2015-05-29 05:03:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 07:57:28 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.